# Vector3.h File Reference

## Classes
class | TVector3Template< T >
## Functions
template<class T >
TVector3Template< T > | operator* (const int32 s, const TVector3Template< T > &v)
template<class T >
TVector3Template< T > | operator* (const real s, const TVector3Template< T > &v)
template<class T >
TVector3Template< T > | operator* (const real64 &s, const TVector3Template< T > &v)
template<class T >
TVector3Template< T > | operator+ (const TVector3Template< T > &a, const TVector3Template< T > &b)
template<class T >
TVector3Template< T > | operator- (const TVector3Template< T > &a, const TVector3Template< T > &b)
template<class T >
TVector3Template< T > | operator- (const TVector3Template< T > &v)
template<class T >
boolean | operator== (const TVector3Template< T > &lhs, const TVector3Template< T > &rhs)
template<class T >
boolean | operator!= (const TVector3Template< T > &lhs, const TVector3Template< T > &rhs)
template<class T >
TVector3Template< T > | operator^ (const TVector3Template< T > &a, const TVector3Template< T > &b)
template<class T >
TVector3Template< T > | operator% (const TVector3Template< T > &a, const TVector3Template< T > &b)

## Function Documentation

template<class T >

boolean operator!= | ( | const TVector3Template< T > & | lhs,
|  | const TVector3Template< T > & | rhs |
| ) |  |  | `[inline]`

template<class T >

TVector3Template<T> operator% | ( | const TVector3Template< T > & | a,
|  | const TVector3Template< T > & | b |
| ) |  |  | `[inline]`

template<class T >

TVector3Template<T> operator* | ( | const real64 & | s,
|  | const TVector3Template< T > & | v |
| ) |  |  | `[inline]`

template<class T >

TVector3Template<T> operator* | ( | const real | s,
|  | const TVector3Template< T > & | v |
| ) |  |  | `[inline]`

template<class T >

TVector3Template<T> operator* | ( | const int32 | s,
|  | const TVector3Template< T > & | v |
| ) |  |  | `[inline]`

template<class T >

TVector3Template<T> operator+ | ( | const TVector3Template< T > & | a,
|  | const TVector3Template< T > & | b |
| ) |  |  | `[inline]`

template<class T >

TVector3Template<T> operator- | ( | const TVector3Template< T > & | v | ) | `[inline]`

template<class T >

TVector3Template<T> operator- | ( | const TVector3Template< T > & | a,
|  | const TVector3Template< T > & | b |
| ) |  |  | `[inline]`

template<class T >

boolean operator== | ( | const TVector3Template< T > & | lhs,
|  | const TVector3Template< T > & | rhs |
| ) |  |  | `[inline]`

template<class T >

TVector3Template<T> operator^ | ( | const TVector3Template< T > & | a,
|  | const TVector3Template< T > & | b |
| ) |  |  | `[inline]`